import { Component } from '@angular/core';
import { MatDialog, MatDialogModule } from '@angular/material/dialog';
import { CreateTeamComponent } from '../create-team/create-team.component';

@Component({
  selector: 'app-teams-filter',
  templateUrl: './teams-filter.component.html',
  styleUrls: ['./teams-filter.component.scss'],
})
export class TeamsFilterComponent {
  constructor(public readonly dialog: MatDialog) {}

  onCreateTeam(): void {
    const dialogRef = this.dialog.open(CreateTeamComponent);
    dialogRef.afterClosed().subscribe((result) => {
      console.log(`Dialog result: ${result}`);
    });
  }
}
